OpenJPEG 2.5.4

Data Fields
auxtrans_param Struct Reference

auxiliary transport setting parameters More...

`#include <auxtrans_manager.h>`

## Data Fields
int | tcpauxport
| tcp port
int | udpauxport
| udp port
SOCKET | tcplistensock
| listening socket for aux tcp (-1 if not open)
SOCKET | udplistensock
| listening socket for aux udp (-1 if not open)

## Detailed Description

auxiliary transport setting parameters

## Field Documentation

## ◆ tcpauxport

int auxtrans_param::tcpauxport

tcp port

Referenced by gene_channel(), and init_aux_transport().

## ◆ tcplistensock

SOCKET auxtrans_param::tcplistensock

listening socket for aux tcp (-1 if not open)

Referenced by close_aux_transport(), gene_auxresponse(), init_aux_transport(), and send_responsedata_on_aux().

## ◆ udpauxport

int auxtrans_param::udpauxport

udp port

Referenced by gene_channel(), and init_aux_transport().

## ◆ udplistensock

SOCKET auxtrans_param::udplistensock

listening socket for aux udp (-1 if not open)

Referenced by close_aux_transport(), gene_auxresponse(), and init_aux_transport().

The documentation for this struct was generated from the following file:

- auxtrans_manager.h